# $Revision: 1.27 $, $Date: 2012/05/16 19:36:21 $
Summary:	Remote Replication Agent Connection protocol library
Summary(pl.UTF-8):	RRA - aplikacja SynCE do synchronizacji
Name:		synce-rra
Version:	0.14
Release:	4
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/synce/librra-%{version}.tar.gz
# Source0-md5:	3a608174a3a476c96dd4dd4929448fe8
Patch0:		%{name}-libmimedir.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libmimedir-vlm-devel
BuildRequires:	libtool
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.559
BuildRequires:	synce-librapi2-devel >= %{version}
BuildRequires:	synce-libsynce-devel >= %{version}
%requires_ge_to	synce-librapi2 synce-librapi2-devel
%requires_ge_to	synce-libsynce synce-libsynce-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_ld	-Wl,--as-needed

%description
SynCE is a project for connecting to devices running Windows CE or
Pocket PC.

RRA implements the Remote Replication Agent Connection protocol for
synchronising objects between a Windows CE device and other computer.

%description -l pl.UTF-8
RRA to aplikacja do synchronizacji będąca częścią projektu SynCE.

Celem projektu SynCE jest dostarczenie środków do komunikacji z
urządzeniami opartymi na Windows CE z komputera z Linuksem, FreeBSD
lub podobnym systemem operacyjnym.

%package devel
Summary:	Header files for RRA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki RRA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmimedir-vlm-devel
Requires:	synce-librapi2-devel >= %{version}
Requires:	synce-libsynce-devel >= %{version}

%description devel
Header files for RRA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki RRA.

%package static
Summary:	Static RRA library
Summary(pl.UTF-8):	Statyczna biblioteka RRA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static RRA library.

%description static -l pl.UTF-8
Statyczna biblioteka RRA.

%package -n python-pyrra
Summary:	Python binding for RRA library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki RRA
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-pyrra
Python binding for RRA library.

%description -n python-pyrra -l pl.UTF-8
Wiązanie Pythona do biblioteki RRA.

%prep
%setup -q -n librra-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{py_sitedir}/pyrra.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/synce-matchmaker
%attr(755,root,root) %{_bindir}/rra-appointment-from-vevent
%attr(755,root,root) %{_bindir}/rra-appointment-to-vevent
%attr(755,root,root) %{_bindir}/rra-contact-from-vcard
%attr(755,root,root) %{_bindir}/rra-contact-to-vcard
%attr(755,root,root) %{_bindir}/rra-decode
%attr(755,root,root) %{_bindir}/rra-delete
%attr(755,root,root) %{_bindir}/rra-get-data
%attr(755,root,root) %{_bindir}/rra-get-ids
%attr(755,root,root) %{_bindir}/rra-get-recurring-appointments
%attr(755,root,root) %{_bindir}/rra-get-types
%attr(755,root,root) %{_bindir}/rra-put-data
%attr(755,root,root) %{_bindir}/rra-subscribe
%attr(755,root,root) %{_bindir}/rra-task-from-vtodo
%attr(755,root,root) %{_bindir}/rra-task-to-vtodo
%attr(755,root,root) %{_bindir}/rra-timezone
%attr(755,root,root) %{_libdir}/librra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librra.so.0
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%doc lib/README
%attr(755,root,root) %{_libdir}/librra.so
%{_libdir}/librra.la
%{_includedir}/rra
%{_pkgconfigdir}/librra.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librra.a

%files -n python-pyrra
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/pyrra.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-rra.spec,v $
Revision 1.27  2012/05/16 19:36:21  glen
- release 4

Revision 1.26  2011/02/23 08:43:19  glen
- %requires_ge_to

Revision 1.25  2010/08/16 20:25:09  glen
- release 2

Revision 1.24  2010/06/15 22:48:14  arvenil
- up to 0.14

Revision 1.23  2009/02/23 22:08:40  arekm
- release 3

Revision 1.22  2008/10/18 10:14:14  megabajt
- release 2

Revision 1.21  2008/09/16 10:10:00  patrys
- 0.12

Revision 1.20  2008/09/16 09:19:44  patrys
- rel 2

Revision 1.19  2008-05-16 19:27:11  wolvverine
- up to 0.11.1

Revision 1.18  2008-01-27 01:15:31  glen
- use version macro

Revision 1.17  2008-01-27 00:59:02  glen
- update to 0.11

Revision 1.16  2008-01-27 00:41:43  glen
- workaround --as-needed error
- package ghost ldconfig symlink
- rel 3

Revision 1.15  2007-12-18 12:45:34  glen
- rel 2

Revision 1.14  2007-11-12 00:24:48  glen
- more descriptive descriptions from http://www.freshports.org/palm/synce-rra/

Revision 1.13  2007-11-11 21:34:45  glen
- rel 1

Revision 1.12  2007-09-02 16:48:22  qboosh
- added python-pyrra

Revision 1.11  2007/08/29 21:13:02  glen
- update to 0.10.0

Revision 1.10  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.8  2006/12/12 17:04:08  glen
- clear EA list; rel 4

Revision 1.7  2006/12/11 21:50:32  glen
- remove %{x8664} from EA list due: synce-librapi2.spec: (qboosh) it seems that
  0.9.1 fixes 64-bit problems

Revision 1.6  2006/12/11 21:30:01  glen
- new URL

Revision 1.5  2006/07/04 09:25:39  glen
- updated synce version deps; rel 2

Revision 1.4  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.3  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.2  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
